;; Nastaven nkterch klves na obvyklej funkci
(global-set-key [(delete)] 'delete-char)
(global-set-key [(home)] 'beginning-of-line)
(global-set-key [(end)] 'end-of-line)
(global-set-key [(control prior)] 'beginning-of-buffer)
(global-set-key [(control next)] 'end-of-buffer)

;; Zaveden AUCTeXu
(require 'tex-site)
;; Speciln AUCTeX-BiBTeX podpora
(require 'bib-cite)
;; Metafont & Metapost
(if (< emacs-major-version 20)
    (progn
      (autoload 'metafont-mode "meta-mode" "Metafont editing mode." t)
      (autoload 'metapost-mode "meta-mode" "MetaPost editing mode." t)
      (setq auto-mode-alist
	    (append '(("\\.mf\\'" . metafont-mode)
		      ("\\.mp\\'" . metapost-mode))
		    auto-mode-alist))))
;; Editace .dtx soubor
(autoload 'doctex-mode "swiftex" "Major mode for LaTeX doc documents.")
(setq auto-mode-alist
      (append '(("\\.dtx\\'" . doctex-mode)
		("\\.fdd\\'" . doctex-mode))
	      auto-mode-alist))
;; Pepnn eskch uvozovek v TeXu
(defun cz-quotes-on ()
  (interactive "*")
  (setq TeX-open-quote "\\uv{"
	TeX-close-quote "}"))
(defun cz-quotes-off ()
  (interactive "*")
  (setq TeX-open-quote "``"
	TeX-close-quote "''"))

;; Obecn uiten a nezvadn utility
(require 'word-help)
(global-set-key "\C-h\C-i" 'word-help)

;; Inicializace MIME pro RMAIL a Gnus
(if (>= emacs-major-version 20)
    (load "mime-init"))

;; tildify a string-recode
(autoload 'tildify-buffer "tildify" nil t)
(autoload 'tildify-region "tildify" nil t)
(autoload 'sr-recode-to-many "string-recode" nil t)
(autoload 'sr-recode-from-many "string-recode" nil t)

;; Zaveden etiny a podpora pro nkter sunovsk klvesnice
(if (< emacs-major-version 20)
    (progn
      (if (not (featurep 'czech))
	  (load "czech"))
      (global-set-key [(f21)] 'cz-keyboard-mode))
  (setq load-path (cons "/packages/share/site-lisp/hacks" load-path))
  (load-file "/packages/share/site-lisp/leim/czech.elc")
  (setq clipboard-coding-system 'latin-2)
  (if (not (featurep 'czech))
      (progn
	(require 'hack-quail)
	(require 'czech)
	(set-language-environment "czech")
	(setq default-input-method "czech-prog-3")))
  (require 'czech-calendar)
  (global-set-key [pause] 'toggle-input-method)
  (define-key isearch-mode-map [pause] 'isearch-toggle-input-method)
  (global-set-key [(f21)] 'toggle-input-method)
  (define-key isearch-mode-map [(f21)] 'isearch-toggle-input-method))
